Index: doc/config.doc
===================================================================
RCS file: /cvsroot/doxygen/doc/config.doc,v
retrieving revision 1.126
diff -u -b -r1.126 config.doc
--- doc/config.doc	27 Jul 2007 08:53:21 -0000	1.126
+++ doc/config.doc	21 Aug 2007 15:10:56 -0000
@@ -171,6 +171,7 @@
 \refitem cfg_multiline_cpp_is_brief MULTILINE_CPP_IS_BRIEF
 \refitem cfg_optimize_output_for_c OPTIMIZE_OUTPUT_FOR_C
 \refitem cfg_optimize_output_java OPTIMIZE_OUTPUT_JAVA
+\refitem cfg_optimize_output_sip OPTIMIZE_OUTPUT_SIP
 \refitem cfg_output_directory OUTPUT_DIRECTORY
 \refitem cfg_output_language OUTPUT_LANGUAGE
 \refitem cfg_paper_type PAPER_TYPE
@@ -504,6 +505,14 @@
  for that language. For instance, namespaces will be presented as packages, 
  qualified scopes will look different, etc. 
 
+\anchor cfg_optimize_output_sip
+<dt>\c OPTIMIZE_OUTPUT_SIP <dd>
+ \addindex OPTIMIZE_OUTPUT_SIP
+ Set the OPTIMIZE_OUTPUT_SIP tag to YES if your project consists of sip 
+ sources only. Doxygen will then generate output that is more tailored 
+ for Sip. Basically it is the same than the default mode but considering all 
+ classes inheritance public.
+
 \anchor cfg_subgrouping
 <dt>\c SUBGROUPING <dd>
  \addindex SUBGROUPING
Index: src/config.l
===================================================================
RCS file: /cvsroot/doxygen/src/config.l,v
retrieving revision 1.162
diff -u -b -r1.162 config.l
--- src/config.l	27 Jul 2007 08:53:22 -0000	1.162
+++ src/config.l	21 Aug 2007 15:10:57 -0000
@@ -1652,6 +1652,13 @@
                     "will look different, etc. \n",
                     FALSE
                  );
+cb = addBool(
+                    "OPTIMIZE_OUTPUT_SIP",
+                    "Set the OPTIMIZE_OUTPUT_SIP tag to YES if your project consists of sip \n"
+		    "sources only. Doxygen will then generate output that is more tailored for Sip. \n"
+                    "Basically it is the same than the default mode but considering all classes inheritance public. \n",
+                    FALSE
+                 );
   cb = addBool(  
                     "BUILTIN_STL_SUPPORT",
 		    "If you use STL classes (i.e. std::string, std::vector, etc.) but do not want to \n"
Index: src/doxygen.cpp
===================================================================
RCS file: /cvsroot/doxygen/src/doxygen.cpp,v
retrieving revision 1.231
diff -u -b -r1.231 doxygen.cpp
--- src/doxygen.cpp	15 Aug 2007 18:35:30 -0000	1.231
+++ src/doxygen.cpp	21 Aug 2007 15:11:00 -0000
@@ -4210,6 +4210,7 @@
               usedName=biName;
               //printf("***** usedName=%s templSpec=%s\n",usedName.data(),templSpec.data());
             }
+            if (Config_getBool("OPTIMIZE_OUTPUT_SIP")) bi->prot=Public;
             cd->insertBaseClass(baseClass,usedName,bi->prot,bi->virt,templSpec);
             // add this class as super class to the base class
             baseClass->insertSubClass(cd,bi->prot,bi->virt,templSpec);
